' --- UhrBewLR.VBS : Uhrenbeweger Links/Rechts mit Interval ---

Option Explicit

Const mMotor = 4, ftiLInks = 1, ftiRechts = 2, ftiAus = 0
Const PauseDauer = 3580, LaufDauer = 20, IntDauer = 5, SleepDauer = 60

Dim ft, StartZeit, EinZeit, AusZeit

EinZeit = TimeValue(InputBox("Einschaltzeit", "Uhrbeweger", "08:00:00"))
AusZeit = TimeValue(InputBox("AusSchaltzeit", "Uhrbeweger", "20:00:00"))

Set ft = CreateObject("FishFa30.FishFace")
ft.OpenInterface("COM2")
MsgBox "Uhrbeweger gestartet"

Do
  If Time >= EinZeit AND Time < AusZeit Then
    StartZeit = DateAdd("s", LaufDauer, Now)
    Do
      ft.SetMotor mMotor, ftiLinks
      ft.Pause IntDauer * 1000
      ft.SetMotor mMotor, ftiRechts
      ft.Pause IntDauer * 1000
    Loop Until (DateDiff("s", Now, StartZeit) <= 0) OR ft.Finish
    ft.SetMotor mMotor, ftiAus
    ft.Pause PauseDauer * 1000
  End If
  ft.Pause SleepDauer * 1000
Loop Until ft.Finish

ft.CloseInterface
MsgBox "Uhrbeweger beendet"